# Tests enabled by default.
%bcond_without  tests

%global         srcname     azure-core

Name:           python-%{srcname}
Version:        1.13.0
Release:        4%{?dist}
Summary:        Azure Core shared client library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

Epoch:          1

BuildArch:      noarch

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(msrest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(trio)
%endif

%global _description %{expand:
Azure Core shared client library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
# Some of the various Azure packages still call for namespace packages even
# though they are not used in Python 3.
Provides:       python-azure-nspkg = %{version}-%{release}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
# Lots of the tests require network access and those are disabled.
%pytest -n auto --disable-warnings \
    --ignore tests/test_connection_string_parsing.py \
    --ignore tests/test_basic_transport.py \
    --ignore tests/test_custom_hook_policy.py \
    --ignore tests/test_pipeline.py \
    --ignore tests/test_requests_universal.py \
    --ignore tests/async_tests \
    -k "not test_httpresponse_error_with_response" \
    tests
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Tue Aug 03 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-4
- Add testing for non-network tests.

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-3
- Add Provides for azure-nspkg

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-2
- Add epoch number for downgrade to 1.13.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1.13.0-1
- First package.
